/// <reference types="node" />
import { AccountMeta, PublicKey, TransactionInstruction } from '@solana/web3.js';
export declare class SerializableAction {
    program: PublicKey;
    instruction: Buffer;
    accounts: Array<AccountMeta>;
    actionCode: number;
    name: string;
    extra: string;
    static fromInstructions(instructions: TransactionInstruction[]): SerializableAction[];
    static fromInstruction(instruction: TransactionInstruction): SerializableAction;
    static toInstruction(serAction: SerializableAction): TransactionInstruction;
}
